.dropdown .dropdown-toggle::after {
	position: absolute;
	right: 25px;
	top: 23px;
}

.dropdown .btn-primary {
	color: #ffffff;
}

.dropdown-toggle::after {
	display: inline-block;
	width: 0;
	height: 0;
	margin-left: .255em;
	vertical-align: .255em;
	content: "";
	border-top: .3em solid !important;
	border-right: .3em solid transparent !important;
	border-bottom: 0 !important;
	border-left: .3em solid transparent !important;
}

.dropdown-menu.show {
	background: #e7e7e9;
	left: 0;
	right: 0;
	min-width: 300px;
	width: 100%;
}

.dropdown .btn-primary:not([disabled]):not(.disabled).active, .dropdown .btn-primary:not([disabled]):not(.disabled):active,
	.dropdown.show>.btn-primary.dropdown-toggle {
	color: #fff;
	background-color: #a1a1a1;
	border-color: #a1a1a1;
	width: 100%;
}

.dropdown-item:focus, .dropdown-item:hover {
	color: #fff !important;
}

.dropdown-item:focus, .dropdown-item:hover {
	color: #fff;
	text-decoration: none;
	background-color: #626262;
}



.dropdown-toggle:after {
	display: inline-block;
	margin-left: .255em;
	vertical-align: .255em;
	content: "";
	border-top: .3em solid;
	border-right: .3em solid transparent;
	border-bottom: 0;
	border-left: .3em solid transparent;
}

.dropdown {
	background: transparent;
	transition: 0.3s ease;
	width: 100%;
	padding: 0px;
	border: 0;
	color: black;
	max-width: 300px;
	display: inline-block;
	margin-right: 10px !important;
}

.dropdown button {
	white-space: normal;
	max-width: 300px;
	width: 100%;
}

.dropdown-menu {
	position: absolute;
	top: 100%;
	left: 0;
	z-index: 1000;
	display: none;
	float: left;
	min-width: 10rem;
	padding: 0.5rem 0;
	margin: 0.125rem 0 0;
	font-size: 1rem;
	color: #212529;
	text-align: left;
	list-style: none;
	background-color: #e7e7e9;
	background-clip: padding-box;
	border: 1px solid rgba(0, 0, 0, .15);
	border-radius: 0.25rem;
}
.dropdown-item:focus, 
.dropdown-item:hover {
    color: #fff !important;
}
a.dropdown-item {
    margin-bottom: unset;
    margin-top: unset;
}
.df .product-dropdown {
	display: inline-block;
}
